NAUTY-ANCESTORG(1)

NAME
nauty-ancestorg - removes a specified number of final vertices

SYNOPSIS
ancestorg [-q] [-g#:#|-g#] [infile [outfile]]

DESCRIPTION

    The g-th generation ancestor of a graph is the graph obtained by removing

    the final g vertices. The 0-th generation ancestor is the graph itself. For each input graph, write the ancestors whose generation is given by the g argument. No zero-sized graphs are written. Output is always in graph6 format.

    The output file has a header if and only if the input file does.

-g# -g#:#
    Specify a generation or range of generations (default: all)

-q  Suppress auxiliary information